For the complete documentation index, see llms.txt. This page is also available as Markdown.

Belgeleri Toplu Dışarı Aktarır

SKGları toplu olarak dışarı aktarır.

post
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
fileTypestring · enumRequiredPossible values:
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

SKGları toplu olarak dışarı aktarır.

application/json
stringOptional
post/Insurances/Export/{fileType}
POST /einvoice/Insurances/Export/{fileType} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 40

[
  "123e4567-e89b-12d3-a456-426614174000"
]
text
var options = new RestClientOptions("//einsurance/Insurances/Export/Xml")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"[" + "\n" +
@"  ""<uuid>""," + "\n" +
@"  ""<uuid>""" + "\n" +
@"]";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Insurances/Export/Xml',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'[
  "<uuid>",
  "<uuid>"
]',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated